按 id 获取 Google Dataset Search 高级结果
curl --request GET \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/task_get/advanced/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/task_get/advanced/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/task_get/advanced/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": [
{
"keyword": "<string>",
"se_domain": "<string>",
"language_code": "<string>",
"check_url": "<string>",
"datetime": "<string>",
"spell": {
"keyword": "<string>",
"type": "<string>"
},
"item_types": [
"<string>"
],
"se_results_count": 123,
"items_count": 123,
"items": [
{
"type": "<string>",
"rank_group": 123,
"rank_absolute": 123,
"position": "<string>",
"xpath": "<string>",
"dataset_id": "<string>",
"title": "<string>",
"image_url": "<string>",
"scholarly_citations_count": 123,
"scholarly_articles_url": "<string>",
"unique_identifier": "<string>",
"related_article": "<string>",
"links": [
{
"type": "<string>",
"title": "<string>",
"snippet": "<string>",
"description": "<string>",
"url": "<string>",
"domain": "<string>",
"xpath": "<string>"
}
],
"dataset_providers": [
{
"type": "<string>",
"title": "<string>",
"url": "<string>",
"domain": "<string>"
}
],
"formats": [
{
"type": "<string>",
"format": "<string>",
"size": 123
}
],
"authors": [
{
"type": "<string>",
"name": "<string>",
"url": "<string>",
"domain": "<string>"
}
],
"licenses": [
{
"type": "<string>",
"title": "<string>",
"url": "<string>",
"domain": "<string>"
}
],
"updated_date": "<string>",
"area_covered": [
"<string>"
],
"period_covered": {
"start_date": "<string>",
"end_date": "<string>",
"displayed_date": "<string>"
},
"dataset_description": {
"text": "<string>",
"links": [
{
"type": "<string>",
"title": "<string>",
"snippet": "<string>",
"description": "<string>",
"url": "<string>",
"domain": "<string>",
"xpath": "<string>"
}
]
}
}
]
}
]
}
]
}数据集搜索
按 id 获取 Google Dataset Search 高级结果
按 id 获取 Google Dataset Search 高级结果。
GET
https://api.aisa.one
/
apis
/
v1
/
dataforseo
/
serp
/
google
/
dataset_search
/
task_get
/
advanced
/
{id}
按 id 获取 Google Dataset Search 高级结果
按 id 获取 Google Dataset Search 高级结果。您可以在保留期内按任务 id 检索已完成任务的结果。
示例
curl -X GET "https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_search/task_get/advanced/{id}" \
-H "Authorization: Bearer YOUR_API_KEY"
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
响应
object | null
Successful operation
API 的当前版本
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
total execution time, seconds
任务总成本(美元)
tasks 数组中的任务数量
返回错误的 tasks 数组中的任务数量
array of tasks
Show child attributes
Show child attributes